##### 7.5.5.0. isInt

Procedure from library `dmodapp.lib` (see dmodapp_lib).

Usage:
  isInt(n); n a number

Return:
  int, 1 if n is an integer or 0 otherwise

Purpose:
  check whether given object of type number is actually an int

Note:
  Parameters are treated as integers.

Example:

    LIB "dmodapp.lib";
    ring r = 0,x,dp;
    number n = 4/3;
    isInt(n);
    ==> 0
    n = 11;
    isInt(n);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.